#!/usr/bin/env bash
#
#SBATCH --partition=gypsum-1080ti
#SBATCH --gres=gpu:1
#SBATCH --time=03-00:00:00
#SBATCH --mem=16000
#SBATCH --output=outputs/output_%j.out
#SBATCH --cpus-per-task=8

env_name=${1:-InvertedPendulum-v2}
seed=${2:-0}
steps=${3:-2}


echo $env_name $seed $steps
python eval_gru_model.py --env_name $env_name --seed $seed --automatic_entropy_tuning True --steps $steps --actor_update_frequency 4
exit